# n=100
# e=rnorm(n)
# x=cumsum(e)
# y=x+rnorm(n, 0, 1/2)
# i=1:50
# t=lm(y~x)
# Z1=residuals(t)
# Z = Z1[-c(1,n)] # leave out the 1st and last elements  
# dx=diff(x)
# dy=diff(y)
# yx2=data.frame(embed(cbind(dy,dx),2), Z)
# colnames(yx2)=c("dy0","dx0","dy1", "dx1", "Z")
# attach(yx2)
# ecm=lm(dy0~Z+dx1+dy1) 
# summary(ecm)

ps.options(horizontal=F, width=4.6, height=3.2, pointsize=8)
postscript("Fig47.ps", onefile=F, print=F)
par(mar=c(3,3,1,1), mgp=c(2.0,0.8,0))
plot(i, X, type='o', col='blue', ylim=c(-3, 11), xlab="Time", ylab="Path")
lines(i,Y, type='o', lty=2, pch=2, col='brown')
dev.off()
